import * as Sequelize from 'sequelize'

async function up (utils: {
  transaction: Sequelize.Transaction
  queryInterface: Sequelize.QueryInterface
  sequelize: Sequelize.Sequelize
}): Promise<void> {
  await utils.sequelize.query(
    `DROP INDEX IF EXISTS "idx_event_registration_event_email"`,
    { transaction: utils.transaction }
  )

  await utils.sequelize.query(
    `DROP INDEX IF EXISTS "idx_event_registration_event_user"`,
    { transaction: utils.transaction }
  )
}

function down (options) {
  throw new Error('Not implemented.')
}

export {
  up,
  down
}
